<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">
      Prospect Table
    </h6>
  </div>

  <div class="card-body">
    <div class="table-responsive">
      <!-- Start of Prospect Table -->
      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <!-- Table Header -->
        <thead>
          <tr class="flex-row">
            <th class="flex-add-column">
            </th>
            <th class="flex-column">
              Company Name
            </th>
            <th class="flex-column">
              City
            </th>
            <th class="flex-column">
              Zip
            </th>
            <th class="flex-column">
              Assigned
            </th>
            <th class="flex-column">
              Next Step
            </th>
            <th class="flex-column">
              Follow Up Date
            </th>
            <th class="flex-column">
              Office Number
            </th>
          </tr>

          <tr class="flex-row">
            <th class="flex-add-column"></th>
            <th class="flex-column">
              <input class="form-control" placeholder="Search..." />
            </th>
            <th class="flex-column">
              <input class="form-control" placeholder="Search..." />
            </th>
            <th class="flex-column">
              <input class="form-control" placeholder="Search..." />
            </th>
            <th class="flex-column">
              <select class="form-control" [value]="0">
                <option disabled value="0">Select</option>
                <option>Active</option>
                <option>Inactive</option>
              </select>
            </th>
            <th class="flex-column"></th>
            <th class="flex-column"></th>
            <th class="flex-column">
              <input class="form-control" placeholder="Search..." />
            </th>
          </tr>
        </thead>

        <!-- Table Body -->
        <tbody>
          <tr class="flex-row" *ngFor="let prospect of prospectList">
            <td class="flex-add-column cursor-pointer">
              <i class="fas fa-plus"></i>
            </td>
            <td class="flex-column cursor-pointer" (click)="navigateToProspectDetail(prospect)">
              <a class="company-name">{{ prospect.company_name }}</a>
            </td>
            <td class="flex-column">
              {{ prospect.city }}
            </td>
            <td class="flex-column">
              {{ prospect.zip }}
            </td>
            <td class="flex-column">
              {{ prospect.assigned }}
            </td>
            <td class="flex-column">
              {{ prospect.next_step }}
            </td>
            <td class="flex-column">
              {{ prospect.follow_up_date }}
            </td>
            <td class="flex-column">
              {{ prospect.office_number }}
            </td>
          </tr>
        </tbody>

        <!-- Table Footer -->
        <tfoot class="flex-row">
          <td class="flex-column">
            <span *ngIf="prospectListLoading"> Loading ....</span>
            <span *ngIf="(!prospectList || prospectList?.length === 0) && !prospectListLoading">
              No Results
            </span>
          </td>
        </tfoot>
      </table>
      <!-- End of Prospect Table -->
    </div>
  </div>

  <div class="pagination-section">
    <div class="pagination">
      <a *ngFor="let alphabet of paginationItem" [ngClass]="{'active': currentPage === alphabet}"
        (click)="onPageSelect(alphabet)">{{alphabet}}</a>
    </div>
  </div>

</div>
<!-- End of Table -->